## libtrace3 3.0.0

=== examples/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libtrace
pkglibdir = $(libdir)/libtrace
pkgincludedir = $(includedir)/libtrace
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = examples
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/perry/libtrace/trunk/missing --run aclocal-1.9
ADD_INCLS =  -I /usr/local/dag/include
ADD_LDFLAGS =  -L/usr/local/dag/lib
ADD_LIBS =  -lpcap -ldag
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/perry/libtrace/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/perry/libtrace/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/perry/libtrace/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/perry/libtrace/trunk/missing --run automake-1.9
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DAG2_4_FALSE = #
DAG2_4_TRUE = 
DAG_TOOLS_DIR = /usr/local/dag/tools
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
HAS_DOXYGEN_FALSE = #
HAS_DOXYGEN_TRUE = 
HAVE_BPF_FALSE = 
HAVE_BPF_TRUE = #
HAVE_DAG_FALSE = #
HAVE_DAG_TRUE = 
HAVE_NETPACKET_PACKET_H_FALSE = #
HAVE_NETPACKET_PACKET_H_TRUE = 
HAVE_ZLIB_FALSE = #
HAVE_ZLIB_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBGDC_FALSE = #
LIBGDC_TRUE = 
LIBOBJS = 
LIBS = -lz -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTRACE_MAJOR = 3
LIBTRACE_MID = 0
LIBTRACE_MINOR = 0
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/perry/libtrace/trunk/missing --run makeinfo
MANPAGES = 
OBJEXT = o
PACKAGE = libtrace
PACKAGE_BUGREPORT = contact@wand.net.nz
PACKAGE_NAME = libtrace
PACKAGE_STRING = libtrace 3.0.0
PACKAGE_TARNAME = libtrace
PACKAGE_VERSION = 3.0.0
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.0.0
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/perry/libtrace/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libtrace_doxygen = true
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = skeleton rate
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \

=== examples/rate/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# examples/rate/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(rate_SOURCES) $(rate_dir_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/libtrace
pkglibdir = $(libdir)/libtrace
pkgincludedir = $(includedir)/libtrace
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = rate$(EXEEXT) rate-dir$(EXEEXT)
subdir = examples/rate
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_rate_OBJECTS = rate.$(OBJEXT)
rate_OBJECTS = $(am_rate_OBJECTS)
rate_LDADD = $(LDADD)
am_rate_dir_OBJECTS = rate-dir.$(OBJEXT)
rate_dir_OBJECTS = $(am_rate_dir_OBJECTS)
rate_dir_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(rate_SOURCES) $(rate_dir_SOURCES)
DIST_SOURCES = $(rate_SOURCES) $(rate_dir_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/perry/libtrace/trunk/missing --run aclocal-1.9
ADD_INCLS =  -I /usr/local/dag/include
ADD_LDFLAGS =  -L/usr/local/dag/lib
ADD_LIBS =  -lpcap -ldag
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/perry/libtrace/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/perry/libtrace/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/perry/libtrace/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/perry/libtrace/trunk/missing --run automake-1.9
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DAG2_4_FALSE = #
DAG2_4_TRUE = 
DAG_TOOLS_DIR = /usr/local/dag/tools
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
HAS_DOXYGEN_FALSE = #
HAS_DOXYGEN_TRUE = 
HAVE_BPF_FALSE = 
HAVE_BPF_TRUE = #
HAVE_DAG_FALSE = #
HAVE_DAG_TRUE = 
HAVE_NETPACKET_PACKET_H_FALSE = #
HAVE_NETPACKET_PACKET_H_TRUE = 
HAVE_ZLIB_FALSE = #
HAVE_ZLIB_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBGDC_FALSE = #
LIBGDC_TRUE = 
LIBOBJS = 
LIBS = -lz -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTRACE_MAJOR = 3
LIBTRACE_MID = 0
LIBTRACE_MINOR = 0
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/perry/libtrace/trunk/missing --run makeinfo
MANPAGES = 
OBJEXT = o
PACKAGE = libtrace
PACKAGE_BUGREPORT = contact@wand.net.nz
PACKAGE_NAME = libtrace
PACKAGE_STRING = libtrace 3.0.0
PACKAGE_TARNAME = libtrace
PACKAGE_VERSION = 3.0.0
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.0.0
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/perry/libtrace/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libtrace_doxygen = true
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AM_CFLAGS = -I$(top_srcdir)/lib -I$(top_srcdir)/libpacketdump
AM_CXXFLAGS = -I$(top_srcdir)/lib -I$(top_srcdir)/libpacketdump
AM_LDFLAGS = -L$(top_srcdir)/lib -L$(top_srcdir)/libpacketdump -ltrace
rate_SOURCES = rate.c
rate_dir_SOURCES = rate-dir.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/rate/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/rate/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
rate$(EXEEXT): $(rate_OBJECTS) $(rate_DEPENDENCIES) 
	@rm -f rate$(EXEEXT)
	$(LINK) $(rate_LDFLAGS) $(rate_OBJECTS) $(rate_LDADD) $(LIBS)
rate-dir$(EXEEXT): $(rate_dir_OBJECTS) $(rate_dir_DEPENDENCIES) 
	@rm -f rate-dir$(EXEEXT)
	$(LINK) $(rate_dir_LDFLAGS) $(rate_dir_OBJECTS) $(rate_dir_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/rate-dir.Po
include ./$(DEPDIR)/rate.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

=== examples/skeleton/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# examples/skeleton/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(complete_SOURCES) $(event_SOURCES) $(output_SOURCES) $(trivial_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/libtrace
pkglibdir = $(libdir)/libtrace
pkgincludedir = $(includedir)/libtrace
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = trivial$(EXEEXT) complete$(EXEEXT) event$(EXEEXT) \
	output$(EXEEXT)
subdir = examples/skeleton
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_complete_OBJECTS = complete.$(OBJEXT)
complete_OBJECTS = $(am_complete_OBJECTS)
complete_LDADD = $(LDADD)
am_event_OBJECTS = event.$(OBJEXT)
event_OBJECTS = $(am_event_OBJECTS)
event_LDADD = $(LDADD)
am_output_OBJECTS = output.$(OBJEXT)
output_OBJECTS = $(am_output_OBJECTS)
output_LDADD = $(LDADD)
am_trivial_OBJECTS = trivial.$(OBJEXT)
trivial_OBJECTS = $(am_trivial_OBJECTS)
trivial_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(complete_SOURCES) $(event_SOURCES) $(output_SOURCES) \
	$(trivial_SOURCES)
DIST_SOURCES = $(complete_SOURCES) $(event_SOURCES) $(output_SOURCES) \
	$(trivial_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/perry/libtrace/trunk/missing --run aclocal-1.9
ADD_INCLS =  -I /usr/local/dag/include
ADD_LDFLAGS =  -L/usr/local/dag/lib
ADD_LIBS =  -lpcap -ldag
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/perry/libtrace/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/perry/libtrace/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/perry/libtrace/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/perry/libtrace/trunk/missing --run automake-1.9
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DAG2_4_FALSE = #
DAG2_4_TRUE = 
DAG_TOOLS_DIR = /usr/local/dag/tools
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
HAS_DOXYGEN_FALSE = #
HAS_DOXYGEN_TRUE = 
HAVE_BPF_FALSE = 
HAVE_BPF_TRUE = #
HAVE_DAG_FALSE = #
HAVE_DAG_TRUE = 
HAVE_NETPACKET_PACKET_H_FALSE = #
HAVE_NETPACKET_PACKET_H_TRUE = 
HAVE_ZLIB_FALSE = #
HAVE_ZLIB_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBGDC_FALSE = #
LIBGDC_TRUE = 
LIBOBJS = 
LIBS = -lz -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTRACE_MAJOR = 3
LIBTRACE_MID = 0
LIBTRACE_MINOR = 0
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/perry/libtrace/trunk/missing --run makeinfo
MANPAGES = 
OBJEXT = o
PACKAGE = libtrace
PACKAGE_BUGREPORT = contact@wand.net.nz
PACKAGE_NAME = libtrace
PACKAGE_STRING = libtrace 3.0.0
PACKAGE_TARNAME = libtrace
PACKAGE_VERSION = 3.0.0
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.0.0
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/perry/libtrace/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libtrace_doxygen = true
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AM_CFLAGS = -I$(top_srcdir)/lib -I$(top_srcdir)/libpacketdump
AM_CXXFLAGS = -I$(top_srcdir)/lib -I$(top_srcdir)/libpacketdump
AM_LDFLAGS = -L$(top_srcdir)/lib -L$(top_srcdir)/libpacketdump -ltrace
trivial_SOURCES = trivial.c
complete_SOURCES = complete.c
event_SOURCES = event.c
output_SOURCES = output.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/skeleton/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/skeleton/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
complete$(EXEEXT): $(complete_OBJECTS) $(complete_DEPENDENCIES) 
	@rm -f complete$(EXEEXT)
	$(LINK) $(complete_LDFLAGS) $(complete_OBJECTS) $(complete_LDADD) $(LIBS)
event$(EXEEXT): $(event_OBJECTS) $(event_DEPENDENCIES) 
	@rm -f event$(EXEEXT)
	$(LINK) $(event_LDFLAGS) $(event_OBJECTS) $(event_LDADD) $(LIBS)
output$(EXEEXT): $(output_OBJECTS) $(output_DEPENDENCIES) 
	@rm -f output$(EXEEXT)
	$(LINK) $(output_LDFLAGS) $(output_OBJECTS) $(output_LDADD) $(LIBS)
trivial$(EXEEXT): $(trivial_OBJECTS) $(trivial_DEPENDENCIES) 
	@rm -f trivial$(EXEEXT)
	$(LINK) $(trivial_LDFLAGS) $(trivial_OBJECTS) $(trivial_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/complete.Po
include ./$(DEPDIR)/event.Po
include ./$(DEPDIR)/output.Po
include ./$(DEPDIR)/trivial.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done

## libtrace3 3.0.10

=== debian/changelog ===
libtrace3 (3.0.10-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:38 +0100

libtrace3 (3.0.10-1) unstable; urgency=low

  * New upstream release
    - Improved event API performance.
    - Bugfixes for Linux SLL Handling.
  * Don't ship .la files. (Closes: #622428)
  * Update Standards-Version to 3.9.2 (no changes required).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Backport upstream commit 1701 to fix shlibdeps. (Closes: 558927)

 -- Matt Brown <mattb@debian.org>  Sun, 08 May 2011 15:41:45 +0100

libtrace3 (3.0.8-1) unstable; urgency=low

  * New upstream release
  * Fix missing build dependencies. (Closes: #608589)

 -- Matt Brown <mattb@debian.org>  Sat, 15 Jan 2011 17:08:01 +0000

libtrace3 (3.0.7-1) unstable; urgency=low

  * New upstream release
    - Improved IO subsystem performance
    - Many, many bugfixes and improvements
    - Full details at http://wand.net.nz/trac/libtrace/wiki/ChangeLog
  * Add missing ${misc:Depends} Depends for libtrace3-dev and
    libpacketdump3-dev
  * Update Standards-Version to 3.9.1 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sat, 07 Aug 2010 16:37:12 +0100

libtrace3 (3.0.6-1) unstable; urgency=low

  * New upstream release
     - extra stblib.h includes. (Closes: #521985)
  * Reworked debian/rules and autotools handling per the recommendations in
    the autotools-dev package to assist porters. (Closes: #529463)

 -- Matt Brown <mattb@debian.org>  Wed, 27 May 2009 00:31:54 +0100

libtrace3 (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Split libpacketdump out into it's own library.
  * Update Standards-Version to 3.7.3 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sun, 20 Jan 2008 01:16:13 +0000

libtrace3 (3.0.3-1) unstable; urgency=low

  * New upstream release
  * tracedump renamed to tracepktdump to avoid conflicting with ltt-vizualizer
    (Closes: #414999)

 -- Matt Brown <mattb@debian.org>  Sat, 29 Sep 2007 19:44:14 +0100

libtrace3 (3.0.0-2) unstable; urgency=low

  * Move /usr/lib/libpacketdump/*.{a,la} to the -dev package
  * Install /usr/lib/libpacketdump/*.so symlinks in the -dev package

 -- Matt Brown <mattb@debian.org>  Thu, 15 Feb 2007 23:13:05 +1300

libtrace3 (3.0.0-1) unstable; urgency=low

  * New upstream release. Now out of beta status.
  * Initial upload to Debian. (Closes: #394825)

 -- Matt Brown <mattb@debian.org>  Mon, 12 Feb 2007 19:44:08 +1300

libtrace3 (3.0.0~beta6-1) unstable; urgency=low

  * New upstream release
  * Renumber package with ~ so that the final release is bigger.

 -- Matt Brown <mattb@debian.org>  Thu, 26 Oct 2006 18:07:45 +1300

=== debian/control ===
Source: libtrace3
Priority: optional
Maintainer: Matt Brown <mattb@debian.org>
Build-Depends: debhelper (>= 5.0.0), autoconf, automake, libtool,
 autotools-dev, libpcap0.8-dev, zlib1g-dev, flex, bison, doxygen,
 libncurses5-dev, libbz2-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Section: libs
Homepage: http://research.wand.net.nz/software/libtrace.php

Package: libtrace3-dev
Section: libdevel
Architecture: any
Depends: libtrace3 (= ${binary:Version}), libpcap0.8-dev, zlib1g-dev,
 libbz2-dev, ${misc:Depends} 
Provides: libtrace-dev
Conflicts: libtrace-dev
Description: development headers for the libtrace network processing library
 This package contains development headers and other ancillary files for
 the libtrace library.
 .
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and mulitple input formats, including pcap and DAG.
 .
 libtrace is developed by the WAND Network Research Group at Waikato
 University in New Zealand.

Package: libtrace3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network trace processing library supporting many input formats
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats.
 .
 libtrace is developed by the WAND Network Research Group at Waikato 
 University in New Zealand.

Package: libpacketdump3-dev
Section: libdevel
Architecture: any
Depends: libpacketdump3 (= ${binary:Version}), ${misc:Depends} 
Provides: libpacketdump-dev
Conflicts: libpacketdump-dev
Description: development headers for the libtrace network processing library
 This package contains development headers and other ancillary files for
 the libpacketdump library.
 .
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and mulitple input formats, including pcap and DAG.
 .
 libpacketdump provides decoders to dump the contents of packets in human
 readable form.
 .
 libtrace is developed by the WAND Network Research Group at Waikato
 University in New Zealand.

Package: libpacketdump3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network trace processing library supporting many input formats
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats.
 .
 libpacketdump provides decoders to dump the contents of packets in human
 readable form.
 .
 libtrace is developed by the WAND Network Research Group at Waikato 
 University in New Zealand.


Package: libtrace-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helper utilities for use with the libtrace process library
 libtrace is a library for trace processing. These tools perform many common
 tasks that are required when analysing and manipulating network traces.
 .
 Multiple input methods and formats are supported including device capture, 
 raw and gz-compressed traces, and sockets.
 . 
 libtrace is developed by the WAND Network Research Group at Waikato 
 University in New Zealand.

## libtrace3 3.0.14

=== debian/changelog ===
libtrace3 (3.0.14-1) unstable; urgency=low

  * New upstream release
    - Incorporates fixes for all our local patches.
  * Add build-arch, build-indep targets for future proofing.
  * Update Standards-Version to 3.9.3 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sat, 10 Mar 2012 18:52:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  autotools-dev, libpcap0.8-dev, zlib1g-dev, flex, bison, doxygen,
  libncurses5-dev, libbz2-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://research.wand.net.nz/software/libtrace.php

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

libtrace_backup.h:
	# libtrace.h is modified by the build, so back it up so it can be restored
	# by the clean target
	cp lib/libtrace.h libtrace_backup.h

configure:
	chmod +x debian/autogen.sh
	debian/autogen.sh

configure-stamp: configure libtrace_backup.h
	dh_testdir
	
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache
	
	CFLAGS="$(CFLAGS)" ./configure $(CONFFLAGS) \
		   --prefix=/usr \
		   --mandir=\$${prefix}/share/man \
		   --infodir=\$${prefix}/share/info
	
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -o -name m4 -print0 | xargs -0 -r rm -rf \;
	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
		-o -name depcomp -o -name ltmain.sh -o -name configure \
		-o -name config.sub -o -name config.guess -o -name config.log \
		-o -name Makefile.in \) -print0 | xargs -0 rm -f

	[ ! -f libtrace_backup.h ] || mv libtrace_backup.h lib/libtrace.h
	rm -rf docs/doxygen
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	#dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
